> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Price List

> Update Price List

<Info>
  The `PATCH` request is used to partially update an existing entity by the
  given id. This means:

  * Only the fields provided in the request body will be updated.
  * Fields not provided in the request body will remain unchanged.
  * The request is idempotent, meaning multiple identical PATCH requests will
    always result in the same final state.
</Info>


## OpenAPI

````yaml patch /v1/price-lists/{id}
openapi: 3.0.0
info:
  description: Open API's for WizCommerce API's
  title: WizCommerce Open API's
  termsOfService: https://wizcommerce.com/terms/
  contact:
    name: Tech Support
    url: https://help.wizcommerce.com/
    email: tech@wizcommerce.com
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: '1.0'
servers:
  - url: https://api.wizcommerce.com
    description: Production BaseURL
  - url: https://api-staging.sourcerer.tech
    description: Staging BaseURL
security: []
paths:
  /v1/price-lists/{id}:
    patch:
      tags:
        - Price List
      summary: Update Price List
      description: Update Price List
      parameters:
        - description: ID
          name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dtos.PriceListUpdateRequest'
        description: Request
        required: true
      responses:
        '201':
          description: desc
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/dtos.SuccessResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/dtos.PriceListResponse'
        '400':
          description: desc
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '401':
          description: desc
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '429':
          description: desc
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '500':
          description: desc
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dtos.PriceListUpdateRequest:
      type: object
      properties:
        name:
          type: string
          maxLength: 50
          x-order: '1'
          example: Price List Name
        description:
          type: string
          maxLength: 255
          x-order: '3'
          example: Price List Description
        priority:
          type: integer
          x-order: '4'
          example: 1
        status:
          type: string
          enum:
            - active
            - inactive
          x-order: '5'
          example: active
        is_default:
          type: boolean
          x-order: '6'
          example: false
    dtos.SuccessResponse:
      type: object
      properties:
        data:
          x-order: '1'
    dtos.PriceListResponse:
      type: object
      properties:
        id:
          type: string
          x-order: '1'
          example: 0c05a9a7-84ed-46f0-819b-653545730920
        reference_id:
          type: string
          x-order: '2'
          example: PRC-20250101
        name:
          type: string
          x-order: '3'
          example: Price List 1
        description:
          type: string
          x-order: '4'
          example: Price List 1 Description
        status:
          type: string
          x-order: '5'
          example: active
        currency:
          type: string
          x-order: '6'
          example: USD
        created_at:
          type: string
          x-order: '7'
          example: '2025-01-01T00:00:00Z'
        updated_at:
          type: string
          x-order: '8'
          example: '2025-01-01T00:00:00Z'
    errors.HttpError:
      type: object
      properties:
        code:
          type: string
          x-order: '1'
        message:
          type: string
          x-order: '2'
        details:
          type: array
          items:
            $ref: '#/components/schemas/errors.HttpErrorDetails'
          x-order: '3'
    errors.HttpErrorDetails:
      type: object
      properties:
        field:
          type: string
          x-order: '1'
        reason:
          type: string
          x-order: '2'
  securitySchemes:
    ApiKeyAuth:
      description: API Key for authentication
      type: apiKey
      name: X-API-Key
      in: header

````